/********** Resets **********/
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%; /* Set the default size to ruffly 16px. */
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
    display: block;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}
html {
    background-color: #e7e7e7;
    height: 100%;
}
body {
    font-family: "adobe-clean", "Helvetica Neue", Helvetica, Arial, sans-serif;
    line-height: 1.5;
    font-style: normal;
    font-weight: 300;
    color: #646464;
    height: 100%; 
    text-rendering: optimizeLegibility; 
    -webkit-font-smoothing: antialiased;  
}

.wf-loading body { 
  visibility:hidden; /*Hide text while fonts are loading*/
}

h1, h2, h3, h4, h5, h6 {
    font-family: "adobe-clean", "Helvetica Neue", Arial, sans-serif;
    font-style: normal;
    font-weight: 300;
    
}

p, ul, ol, dl, label, span {
	font-size: 14px;
	font-size: .875rem;
	line-height: 1.25;
	font-weight: 400;
/*  color: #424648; */
}
li:last-of-type{
	margin-bottom: none;
}

a {
  color: #50b7f1;
  cursor: pointer;
  font-weight: 700;
  text-decoration: none;
}

/*
 * Adobe Clean with japanese input causes a browser crash
 * in Safari, so we disable its usage for inputs when
 * japanese locale is specified...
 *
 * ( it's possible someone could be using japanese input
 *   without japanese locale, so we may want to make this
 *   a more general thing... )
 */
.ja-locale-fonts input,
.ja-locale-fonts textarea {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif !important;
}

/********** HEADER, CONTENT, FOOTER **********/
/*
 * These dom elements are rendered by view_layout.js,
 * so thier default styles are defined here.
 */
#header {
    position: relative;
    left: 0;
    right: 0;
    top: 0;
    width: 100%;
    font-family: "adobe-clean", Helvetica, Arial, sans-serif;
    font-style: normal;
    font-weight: 400; 
}

/* @todo: remove me once new layout is the default  */
.temp_legacy_layout #header {
  position: absolute;
}

#header.profile-active { z-index: 9999; }
#header .t1 {  
    height: 46px;
    background: #333;
    z-index: 3000;
    position: relative;
}


#header .contains_files_actions {
    position: relative;
    height: 48px;
    border-bottom: 1px #c6c6c6 solid;
    border-top: 1px white solid;
    background-color: #f1f1f1;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#f1f1f1), to(#efefef));
    background-image: -webkit-linear-gradient(top, #f1f1f1, #efefef);
    background-image: -moz-linear-gradient(top, #f1f1f1, #efefef);
    background-image: -o-linear-gradient(top, #f1f1f1, #efefef);
    background-image: -ms-linear-gradient(top, #f1f1f1, #efefef);
    background-image: linear-gradient(top, #f1f1f1, #efefef); 
}

#header .contains_files_actions p {
    display: block;
}

#ccweb_layout {
    min-height:100%;
    position:relative;
}

#content {
   padding: 0px 0 60px 0; 
   position: relative;
   overflow: hidden;
}

.page_landing_html #content,
.page_landing_plans_html #content {
   position: static;
}

.page-view-file #content {
  padding: 0;
}

/* @todo: remove me once new layout is the default  */
.temp_legacy_layout #content {
  padding-top: 35px; 
}

#footer {
   position:absolute;
   bottom: 0;
   width: 100%; 
}

html.kill-footer #footer {
  visibility: hidden;
}

/********** Text Input ********/

.txt {
  border: 1px #BDBDBD solid;
  border-top: 1px #A7A7A7 solid;
  border-bottom: 1px #CCCCCC solid;
  border-radius: 0px; 
  -webkit-border-radius: 0px;  
  -webkit-box-shadow: inset 0px 1px 1px 0px #DFDFDF;
  -moz-box-shadow: inset 0px 1px 1px 0px #DFDFDF;
  box-shadow: inset 0px 1px 1px 0px #DFDFDF;
}


/********** Buttons **********/

.icon-btn {
    cursor: pointer;
    display: inline-block;
    position: relative;
    height: 30px;
    width: 30px;
    text-indent: -9999em;
    /* background-image: url('/resource/img/sprite_30x30.png'); */
    background-repeat: no-repeat;
    border: 1px solid transparent;
    -webkit-tap-highlight-color:rgba(0,0,0,0.4);  
}

.icon-btn * {
    text-indent: 0;
}

.icon-btn.search {
    background-position: 0 -90px;
    -webkit-tap-highlight-color:rgba(0,0,0,0);
}

.icon-btn.leavefolder,
.icon-btn.archive,
.icon-btn.trashcan,
.icon-btn.permdelete {
    background-position: -30px -150px;
}

.icon-btn.collaborate { 
  /*background-position: 0 -1290px; */
  background-position: 0 -1410px; 
}

.icon-btn.collaborate-small { 
  background-position: -30px -1410px; 
}

.icon-btn.collaborate-dark { 
  background-position: 0 -1410px; 
}

.icon-btn.share {
    background-position: -30px -1229px;
}

.icon-btn.share-white {
    background-position: 0 -1022px;
}

.icon-btn.behance {
    background-position: 0 -1680px;
}

.icon-btn.send {
    background-position: -30px -1350px;
}
.icon-btn.download {
  background-position: -30px -1198px;
}

.icon-btn.zoom-in {
    background-position: 0px -270px;
}

.icon-btn.zoom-out {
    background-position: -30px -270px;
}

.icon-btn.parent {
    background-position: 1px -1230px;
}

.icon-btn.move {
    background-position: -30px -390px;
}

.icon-btn.sync {
    background-position: -30px -360px;
}

.icon-btn.restore {
    background-position: -30px -600px;   
}

.icon-btn.collections {
    background-position: -30px -420px;
}

.icon-btn.create_collection {
    background-position: -30px -450px;
}

.icon-btn.add_to_collection {
    background-position: -30px -480px;

}

.icon-btn.addfolder {
    background-position: -30px -330px;
    -webkit-tap-highlight-color:rgba(0,0,0,0);
    webkit-backface-visibility: hidden;
}

.icon-btn.batch {
    background-position: -30px -570px;   
}

.icon-btn.checkbox {
    background-position: -30px -930px;
}

.files_batch .icon-btn.checkbox {
    background-position: -30px -630px;
}

.files_batch.all_selected .icon-btn.checkbox {
    background-position: -30px -960px;
}


.icon-btn.batch-off {
    background-position: -30px -540px;   
}

.icon-btn.filter_menu {
    background-position: 0 -540px;
}

.icon-btn.clear { 
    background-position: -30px -90px;
}

.icon-btn.upload { 
    background-position: 0px -120px;
    overflow: hidden;
}

.icon-btn.tab_comments { 
    background-position: 0 -780px;
}

.icon-btn.tab_metadata { 
    background-position: 3px -927px;
}

.icon-btn.tab_layers { 
    background-position: -30px -750px;
}

.icon-btn.tab_publish { 
    background-position: -30px -780px;
}

.icon-btn.restore-version { 
    background-position: 0 -1650px;
}

.icon-btn.original-version { 
    background-position: 0 -1620px;
}

.icon-btn.tab_download { 
    background-position: 0 -750px;
}

.icon-btn.view-page-icon {
    background-position: 0 -810px;
}

.icon-btn.rename,
.icon-btn.edit_filename {
    background-position: -30px -870px;
}

.icon-btn.cancel_edit_filename {
    background-position: -30px -900px;
}

.icon-btn.upload input {
    top: -2px;
    position: absolute;
    right: -3px;
    height: 3em;
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
    opacity: 0;
}

.not_selectable {
  -webkit-user-select: none !important;
  -khtml-user-select: none !important;
  -moz-user-select: none !important;
  -ms-user-select: none !important;
  -o-user-select: none !important;
  user-select: none !important;
}

.btn
{
  cursor: pointer;
  display: inline-block;
  background-color: #a6a6a6;
  background-repeat: no-repeat;
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f9f9f9), to(#d9d9d9));
  background-image: -webkit-linear-gradient(#f9f9f9, #d9d9d9);
  background-image: -moz-linear-gradient(top, #f9f9f9, #d9d9d9);
  background-image: -ms-linear-gradient(#f9f9f9, #d9d9d9);
  background-image: -o-linear-gradient(#f9f9f9, #d9d9d9);
  background-image: linear-gradient(#f9f9f9 0%, #d9d9d9 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f9f9f9', endColorstr='#d9d9d9', GradientType=0);
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
  padding: 7px 30px 7px;
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  color: #424648;
  font-family: "adobe-clean", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 13px;
  font-size: .8125rem;
  font-weight: 700;
  text-align: center;
  border: 1px solid #808080 !important;
  -webkit-transition: 0.1s linear all;
  -moz-transition: 0.1s linear all;
  -ms-transition: 0.1s linear all;
  -o-transition: 0.1s linear all;
  transition: 0.1s linear all;
  text-decoration: none;

}

.btn:hover {
  background-color: #aeaeae;
  background-repeat: no-repeat;
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#d7d7d7), to(#aeaeae));
  background-image: -webkit-linear-gradient(#d7d7d7, #aeaeae);
  background-image: -moz-linear-gradient(top, #d7d7d7, #aeaeae);
  background-image: -ms-linear-gradient(#d7d7d7, #aeaeae);
  background-image: -o-linear-gradient(#d7d7d7, #aeaeae);
  background-image: linear-gradient(#d7d7d7, #aeaeae);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#d7d7d7', endColorstr='#aeaeae', GradientType=0);

}


.btn.primary,
.btn.action,
.btn.cancel,
.btn.choice {
  color: #ffffff;
  background-color: #247fcc;
  background-repeat: repeat-x;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#50a3e2), to(#247fcc));
  background-image: -webkit-linear-gradient(top, #50a3e2, #247fcc);
  background-image: -moz-linear-gradient(top, #50a3e2, #247fcc);
  background-image: -o-linear-gradient(top,#50a3e2, #247fcc);
  background-image: -ms-linear-gradient(top, #50a3e2, #247fcc);
  background-image: linear-gradient(top, #50a3e2, #247fcc);
  filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#50a3e2', EndColorStr='#247fcc');
  border: 1px solid #527593 !important;
  padding: 7px 30px 7px;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}

.btn.primary:hover,
.btn.action:hover,
.btn.cancel:hover,
.btn.choice:hover {
  background-color: #2970aa;
  background-repeat: repeat-x;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#2b85cf), to(#2970aa));
  background-image: -webkit-linear-gradient(top, #2b85cf, #2970aa);
  background-image: -moz-linear-gradient(top, #2b85cf, #2970aa);
  background-image: -o-linear-gradient(top,#2b85cf, #2970aa);
  background-image: -ms-linear-gradient(top, #2b85cf, #2970aa);
  background-image: linear-gradient(top, #2b85cf, #2970aa);
  filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#2b85cf', EndColorStr='#2970aa');
}


.btn.danger {

  color: #ffffff;

  background-color: #ce0202;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#ff3333), to(#ce0202));
  background-image: -webkit-linear-gradient(top, #ff3333, #ce0202);
  background-image: -moz-linear-gradient(top, #ff3333, #ce0202);
  background-image: -o-linear-gradient(top, #ff3333, #ce0202);
  background-image: -ms-linear-gradient(top, #ff3333, #ce0202);
  background-image: linear-gradient(top, #ff3333, #ce0202);
  filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#ff3333', EndColorStr='#ce0202');
  border: 1px solid #890000 !important;
  padding: 7px 30px 5px;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}

.btn.warning {
  color: #333;
  background-color: #ffad00;
  background-image: -moz-linear-gradient(top, #ffcb00, #ffad00);
  background-image: -ms-linear-gradient(top, #ffcb00, #ffad00);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffcb00), to(#ffad00));
  background-image: -webkit-linear-gradient(top, #ffcb00, #ffad00);
  background-image: -o-linear-gradient(top, #ffcb00, #ffad00);
  background-image: linear-gradient(top, #ffcb00, #ffad00);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fbb450', endColorstr='#ffad00', GradientType=0);
  border: 1px solid #c17a00;
  filter: progid:dximagetransform.microsoft.gradient(enabled=false);
}

.btn:focus {
  outline: 1px dotted #666;
}

.btn.active, .btn:active {
  -webkit-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.25), 0 1px 2px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.25), 0 1px 2px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.25), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.btn.disabled {
  cursor: default;
  background-image: none;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  filter: alpha(opacity=65);
  -khtml-opacity: 0.65;
  -moz-opacity: 0.65;
  opacity: 0.65;    
  -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=65)";  
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.btn[disabled] {
  cursor: default;
  background-image: none;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  filter: alpha(opacity=65);
  -khtml-opacity: 0.65;
  -moz-opacity: 0.65;
  opacity: 0.65;      
  -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=65)";
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

     
/********** Error Page **********/   

.page_error {
  min-height: 160px;
}
                        
.page_error div.error-wrap {
  max-width: 500px;
  margin: 30px auto 0 auto;
  padding: 0 15px 55px 15px;
  background: transparent url('/resource/img/icon-cc-med-white.png') no-repeat 50% 100%;
  font-family: "AdobeCleanLight", "Helvetica Neue", "Helvetica", Arial, sans-serif;   
}

.page_error div.error-wrap h1 { 
  margin-top: 3px; 
}                     



.complete_error { 
  margin-left: 20px;
  display: none;
  background: #FFF38E;
  max-width: 425px;
  padding: 15px;
  margin-top: 15px;    
  font-size: 0.875rem;  
  font-weight: 400;
  border: 1px solid #DBDE7E; 
} 

.complete_error {
  padding-left: 75px;
  position: relative;
  background: #FFF38E url('/resource/img/icon-cc-medium-gray.png') no-repeat 15px 50%;
}

.complete_error.page {
  margin: 20px auto 20px auto;
}

/******* hidden float breaker *******/
.hidden_break {
  margin: 0;
  padding: 0;
  border: none;
  height: 0px;
  clear: both;
}


/********** Modal Dialog Skrim Styles **********/   
.modal_dialog_scrim {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(62,66,68,.8);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#aa333333', endColorStr='#aa333333');
  z-index: 6000;
}

.modal_dialog_spinner {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 32px;
  height: 32px;
  margin: -16px 0 0 -16px;
  background: url(/resource/img/files-item-spinner.gif);
  z-index: 6000;
}


/*****  media blocks for displaying images of arbitrary size alongside blocks of content ******/
/*****  https://github.com/stubbornella/oocss */
/*
    <div class="media">
      <a class="img"><img src="image.png" width="16" height="16" /></a>
      <div class="bd">content</div>
    </div>
    
*/
.media, .media .bd {overflow:hidden;*overflow:visible;zoom:1;}
.media .img{float:left; margin-right: 10px; line-height: 0;}
.media .img img{display:block;}

/*clear floats*/
.group:after {
content: "."; 
display: block; 
height: 0; 
clear: both;
visibility: hidden;
}

@media only screen and (-webkit-min-device-pixel-ratio: 2){
  .icon-btn {
    background-size: 60px;
  }

  .page_error .not_found_error { 
    background-image: url('/resource/img/icon-cc-medium-gray-2x.png');  
    background-size: 45px; 
  }  
}
 
